Package org.bgerp.plugin.bil.subscription.action

# Class ReportDebtAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.plugin.report.action.ReportActionBase
org.bgerp.plugin.bil.subscription.action.ReportPaymentAction
org.bgerp.plugin.bil.subscription.action.ReportDebtAction

All Implemented Interfaces:
  `Title`

public class ReportDebtAction extends ReportPaymentAction

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.bgerp.plugin.report.action.ReportActionBase

  `ReportActionBase.Factory`

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReportDebtAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Columns`
  `getColumns()`
  Report's columns.
  `protected String`
  `getHref()`
  URL suffix for displaying the report in 'user' interface.
  `protected String`
  `getJsp()`
  JSP template for rendering the report.
  `protected org.bgerp.plugin.bil.subscription.action.ReportDebtAction.Selector`
  `getSelector()`
  Selector for extracting the report's data from SQL.
  `String`
  `getTitle()`
  `org.apache.struts.action.ActionForward`
  `unspecified(DynActionForm form, ConnectionSet conSet)`
  Default action method if no parameter 'action' passed.

  ### Methods inherited from class org.bgerp.plugin.report.action.ReportActionBase

  `getCharts`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReportDebtAction

    public ReportDebtAction()

- ## Method Details

  - ### unspecified

    public org.apache.struts.action.ActionForward unspecified(DynActionForm form, ConnectionSet conSet) throws Exception
    Description copied from class: `BaseAction`
    Default action method if no parameter 'action' passed. Overwrite and implement.
    Overrides:
      `unspecified` in class `ReportPaymentAction`
    Parameters:
      `form` -
      `conSet` -
    Returns:
    Throws:
      `Exception`

  - ### getTitle

    public String getTitle()
    Specified by:
      `getTitle` in interface `Title`
    Overrides:
      `getTitle` in class `ReportPaymentAction`

  - ### getHref

    protected String getHref()
    Description copied from class: `ReportActionBase`
    URL suffix for displaying the report in 'user' interface.
    Overrides:
      `getHref` in class `ReportPaymentAction`
    Returns:

  - ### getJsp

    protected String getJsp()
    Description copied from class: `ReportActionBase`
    JSP template for rendering the report.
    Overrides:
      `getJsp` in class `ReportPaymentAction`
    Returns:

  - ### getColumns

    public Columns getColumns()
    Description copied from class: `ReportActionBase`
    Report's columns.
    Overrides:
      `getColumns` in class `ReportPaymentAction`
    Returns:

  - ### getSelector

    protected org.bgerp.plugin.bil.subscription.action.ReportDebtAction.Selector getSelector()
    Description copied from class: `ReportActionBase`
    Selector for extracting the report's data from SQL.
    Overrides:
      `getSelector` in class `ReportPaymentAction`
    Returns: